Index: /branches/PersistenceOverhaul/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/IntegerVectorCrossover.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/IntegerVectorCrossover.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/IntegerVectorCrossover.cs	(revision 13368)
@@ -31,5 +31,5 @@
   /// </summary>
   [Item("IntegerVectorCrossover", "A base class for operators that perform a crossover of int-valued vectors.")]
-  [StorableClass]
+  [StorableClass("3FAA28E7-1B07-4FA4-AAB5-9A5D74001DF4")]
   public abstract class IntegerVectorCrossover : IntegerVectorOperator, IIntegerVectorCrossover, IStochasticOperator {
     public override bool CanChangeName {
Index: /branches/PersistenceOverhaul/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/IntegerVectorEncoding.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/IntegerVectorEncoding.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/IntegerVectorEncoding.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -33,5 +33,5 @@
 namespace HeuristicLab.Encodings.IntegerVectorEncoding {
   [Item("IntegerVectorEncoding", "Describes an integer vector encoding.")]
-  [StorableClass]
+  [StorableClass("500CFD10-CC30-414C-876C-9D1F5EA2D5F9")]
   public sealed class IntegerVectorEncoding : Encoding<IIntegerVectorCreator> {
     #region Encoding Parameters
Index: /branches/PersistenceOverhaul/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/IntegerVectorManipulator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/IntegerVectorManipulator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/IntegerVectorManipulator.cs	(revision 13368)
@@ -31,5 +31,5 @@
   /// </summary>
   [Item("IntegerVectorManipulator", "A base class for operators that manipulate int-valued vectors.")]
-  [StorableClass]
+  [StorableClass("8F633D30-AEFD-49E8-B14D-AD5C4FACD638")]
   public abstract class IntegerVectorManipulator : IntegerVectorOperator, IIntegerVectorManipulator, IStochasticOperator {
     public override bool CanChangeName {
Index: /branches/PersistenceOverhaul/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/IntegerVectorOperator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/IntegerVectorOperator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/IntegerVectorOperator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -28,5 +28,5 @@
 namespace HeuristicLab.Encodings.IntegerVectorEncoding {
   [Item("IntegerVectorOperator", "Base class for integer vectoro operators.")]
-  [StorableClass]
+  [StorableClass("C8B7F32F-0EC8-40E6-88A1-004F3751A692")]
   public abstract class IntegerVectorOperator : InstrumentedOperator, IIntegerVectorOperator {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/Manipulators/RoundedNormalAllPositionsManipulator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/Manipulators/RoundedNormalAllPositionsManipulator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/Manipulators/RoundedNormalAllPositionsManipulator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -34,5 +34,5 @@
   /// </summary>
   [Item("RoundedNormalAllPositionsManipulator", "This manipulation operator adds a value sigma_i * N_i(0,1) to the current value in each position i given the values for sigma_i in the parameter. The result is rounded to the next feasible value. If there are less elements in Sigma than positions, then Sigma is cycled.")]
-  [StorableClass]
+  [StorableClass("FE8B3F5A-BA59-476E-9BE9-1DB184861FBB")]
   public class RoundedNormalAllPositionsManipulator : BoundedIntegerVectorManipulator {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/Manipulators/SelfAdaptiveRoundedNormalAllPositionsManipulator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/Manipulators/SelfAdaptiveRoundedNormalAllPositionsManipulator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/Manipulators/SelfAdaptiveRoundedNormalAllPositionsManipulator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -35,5 +35,5 @@
   /// </summary>
   [Item("SelfAdaptiveRoundedNormalAllPositionsManipulator", "This manipulation operator adds a value sigma_i * N(0,1) to the current value in each position i. The resulting value is rounded to the next feasible value. The values for sigma_i are looked up dynamically. If there are less elements in the strategy vector than positions, then the strategy vector is cycled.")]
-  [StorableClass]
+  [StorableClass("D74E4288-55DA-42AE-9253-06E7AE90D62C")]
   public class SelfAdaptiveRoundedNormalAllPositionsManipulator : BoundedIntegerVectorManipulator, ISelfAdaptiveManipulator {
     public Type StrategyParameterType {
Index: /branches/PersistenceOverhaul/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/Manipulators/UniformOnePositionManipulator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/Manipulators/UniformOnePositionManipulator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/Manipulators/UniformOnePositionManipulator.cs	(revision 13368)
@@ -35,5 +35,5 @@
   /// </remarks>
   [Item("UniformOnePositionManipulator", " Uniformly distributed change of a single position of an integer vector. It is implemented as described in Michalewicz, Z. 1999. Genetic Algorithms + Data Structures = Evolution Programs. Third, Revised and Extended Edition, Spring-Verlag Berlin Heidelberg.")]
-  [StorableClass]
+  [StorableClass("08E4FFB0-3DE7-4B6A-BAF4-FBC321A778E4")]
   public class UniformOnePositionManipulator : BoundedIntegerVectorManipulator {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/Manipulators/UniformSomePositionsManipulator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/Manipulators/UniformSomePositionsManipulator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/Manipulators/UniformSomePositionsManipulator.cs	(revision 13368)
@@ -35,5 +35,5 @@
   /// </remarks>
   [Item("UniformSomePositionsManipulator", "Uniformly distributed change of several, but at least one, positions of an integer vector. It is implemented as described in Michalewicz, Z. 1999. Genetic Algorithms + Data Structures = Evolution Programs. Third, Revised and Extended Edition, Spring-Verlag Berlin Heidelberg.")]
-  [StorableClass]
+  [StorableClass("1613E5C0-E52E-4E1C-BF89-5031D9F56CF5")]
   public class UniformSomePositionsManipulator : BoundedIntegerVectorManipulator {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/ShakingOperators/IntegerVectorShakingOperator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/ShakingOperators/IntegerVectorShakingOperator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/ShakingOperators/IntegerVectorShakingOperator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -37,5 +37,5 @@
   /// </summary>
   [Item("IntegerVectorShakingOperator", "A shaking operator for VNS which uses available manipulation operators to perform the shaking.")]
-  [StorableClass]
+  [StorableClass("2167AD16-5B78-4682-82D4-3EFDC15782D4")]
   public class IntegerVectorShakingOperator : ShakingOperator<IIntegerVectorManipulator>, IIntegerVectorMultiNeighborhoodShakingOperator, IStochasticOperator, IBoundedIntegerVectorOperator {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/StrategyParameters/StdDevStrategyVectorCreator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/StrategyParameters/StdDevStrategyVectorCreator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/StrategyParameters/StdDevStrategyVectorCreator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -30,5 +30,5 @@
 namespace HeuristicLab.Encodings.IntegerVectorEncoding {
   [Item("StdDevStrategyVectorCreator", "Creates the endogeneous strategy parameters.")]
-  [StorableClass]
+  [StorableClass("3EDD0809-495B-4F33-91BB-0C1C16CF1AB0")]
   public class StdDevStrategyVectorCreator : SingleSuccessorOperator, IStochasticOperator, IIntegerVectorStdDevStrategyParameterCreator {
     public override bool CanChangeName {
Index: /branches/PersistenceOverhaul/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/StrategyParameters/StdDevStrategyVectorCrossover.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/StrategyParameters/StdDevStrategyVectorCrossover.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/StrategyParameters/StdDevStrategyVectorCrossover.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -30,5 +30,5 @@
 namespace HeuristicLab.Encodings.IntegerVectorEncoding {
   [Item("StdDevStrategyVectorCrossover", "Crosses the strategy vector by using intermediate recombination (average crossover).")]
-  [StorableClass]
+  [StorableClass("A740D439-16AE-4420-935A-8FF39EBA3009")]
   public class StdDevStrategyVectorCrossover : SingleSuccessorOperator, IStochasticOperator, IIntegerVectorStdDevStrategyParameterCrossover {
     public override bool CanChangeName {
Index: /branches/PersistenceOverhaul/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/StrategyParameters/StdDevStrategyVectorManipulator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/StrategyParameters/StdDevStrategyVectorManipulator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Encodings.IntegerVectorEncoding/3.3/StrategyParameters/StdDevStrategyVectorManipulator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -35,5 +35,5 @@
   /// </summary>
   [Item("StdDevStrategyVectorManipulator", "Mutates the endogenous strategy parameters.")]
-  [StorableClass]
+  [StorableClass("D3CCCCE3-1A2C-4FF7-A28F-349F84A02A04")]
   public class StdDevStrategyVectorManipulator : SingleSuccessorOperator, IStochasticOperator, IIntegerVectorStdDevStrategyParameterManipulator {
     public override bool CanChangeName {
Index: /branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/Creators/ExactGroupsLinearLinkageCreator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/Creators/ExactGroupsLinearLinkageCreator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/Creators/ExactGroupsLinearLinkageCreator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -31,5 +31,5 @@
 namespace HeuristicLab.Encodings.LinearLinkageEncoding {
   [Item("Exactgroups Linear Linkage Creator", "Creates a random linear linkage LLE encoded solution with a given number of equal-sized groups.")]
-  [StorableClass]
+  [StorableClass("38F82FDE-D09D-49E7-A01A-EEF34D3C575F")]
   public sealed class ExactGroupsLinearLinkageCreator : LinearLinkageCreator {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/Creators/MaxGroupsLinearLinkageCreator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/Creators/MaxGroupsLinearLinkageCreator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/Creators/MaxGroupsLinearLinkageCreator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -30,5 +30,5 @@
 namespace HeuristicLab.Encodings.LinearLinkageEncoding {
   [Item("Maxgroups Linear Linkage Creator", "Creates a random linear linkage LLE encoded solution with a given maximum number of groups.")]
-  [StorableClass]
+  [StorableClass("48C1DE51-88A5-4B77-BE76-38595DE5E121")]
   public sealed class MaxGroupsLinearLinkageCreator : LinearLinkageCreator {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/Creators/RandomLinearLinkageCreator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/Creators/RandomLinearLinkageCreator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/Creators/RandomLinearLinkageCreator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -28,5 +28,5 @@
 namespace HeuristicLab.Encodings.LinearLinkageEncoding {
   [Item("Random Linear Linkage Creator", "Creates a random linear linkage LLE encoded solution (similar to MaxGroups set to N).")]
-  [StorableClass]
+  [StorableClass("30A49AF2-F5A8-4BE8-848B-BDBDB08C1334")]
   public sealed class RandomLinearLinkageCreator : LinearLinkageCreator {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/Crossovers/GreedyPartitionCrossover.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/Crossovers/GreedyPartitionCrossover.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/Crossovers/GreedyPartitionCrossover.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -29,6 +29,6 @@
 
 namespace HeuristicLab.Encodings.LinearLinkageEncoding {
-  [Item("Greedy Partition Crossover", "The Greedy Partition Crossover (GPX) is implemented as described in Ülker, Ö., Özcan, E., Korkmaz, E. E. 2007. Linear linkage encoding in grouping problems: applications on graph coloring and timetabling. In Practice and Theory of Automated Timetabling VI, pp. 347-363. Springer Berlin Heidelberg.")]
-  [StorableClass]
+  [Item("Greedy Partition Crossover", "The Greedy Partition Crossover (GPX) is implemented as described in Ãlker, Ã., Ãzcan, E., Korkmaz, E. E. 2007. Linear linkage encoding in grouping problems: applications on graph coloring and timetabling. In Practice and Theory of Automated Timetabling VI, pp. 347-363. Springer Berlin Heidelberg.")]
+  [StorableClass("81824B06-5123-4339-9D67-E19DCEC7FAC8")]
   public sealed class GreedyPartitionCrossover : LinearLinkageCrossover {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/Crossovers/GroupCrossover.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/Crossovers/GroupCrossover.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/Crossovers/GroupCrossover.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -28,5 +28,5 @@
 namespace HeuristicLab.Encodings.LinearLinkageEncoding {
   [Item("Group Crossover", "The Group Crossover is implemented as described in Korkmaz, E.E. 2010. Multi-objective Genetic Algorithms for grouping problems. Applied Intelligence 33(2), pp. 179-192.")]
-  [StorableClass]
+  [StorableClass("BBFBD498-5A5D-4C86-A936-B05E512A46C6")]
   public sealed class GroupCrossover : LinearLinkageCrossover {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/Crossovers/LowestIndexFirstCrossover.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/Crossovers/LowestIndexFirstCrossover.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/Crossovers/LowestIndexFirstCrossover.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -27,6 +27,6 @@
 
 namespace HeuristicLab.Encodings.LinearLinkageEncoding {
-  [Item("Lowest Index First Crossover", "The Lowest Index First Crossover (LIFX) is implemented as described in Ülker, Ö., Özcan, E., Korkmaz, E. E. 2007. Linear linkage encoding in grouping problems: applications on graph coloring and timetabling. In Practice and Theory of Automated Timetabling VI, pp. 347-363. Springer Berlin Heidelberg.")]
-  [StorableClass]
+  [Item("Lowest Index First Crossover", "The Lowest Index First Crossover (LIFX) is implemented as described in Ãlker, Ã., Ãzcan, E., Korkmaz, E. E. 2007. Linear linkage encoding in grouping problems: applications on graph coloring and timetabling. In Practice and Theory of Automated Timetabling VI, pp. 347-363. Springer Berlin Heidelberg.")]
+  [StorableClass("24EEEDFF-EF93-45C2-83F6-39CFB0C28578")]
   public sealed class LowestIndexFirstCrossover : LinearLinkageCrossover {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/Crossovers/LowestIndexMaxCrossover.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/Crossovers/LowestIndexMaxCrossover.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/Crossovers/LowestIndexMaxCrossover.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -29,6 +29,6 @@
 
 namespace HeuristicLab.Encodings.LinearLinkageEncoding {
-  [Item("Lowest Index Max Crossover", "The Lowest Index Max Crossover (LIMX) is implemented as described in Ülker, Ö., Özcan, E., Korkmaz, E. E. 2007. Linear linkage encoding in grouping problems: applications on graph coloring and timetabling. In Practice and Theory of Automated Timetabling VI, pp. 347-363. Springer Berlin Heidelberg.")]
-  [StorableClass]
+  [Item("Lowest Index Max Crossover", "The Lowest Index Max Crossover (LIMX) is implemented as described in Ãlker, Ã., Ãzcan, E., Korkmaz, E. E. 2007. Linear linkage encoding in grouping problems: applications on graph coloring and timetabling. In Practice and Theory of Automated Timetabling VI, pp. 347-363. Springer Berlin Heidelberg.")]
+  [StorableClass("3BA37E74-9FCE-4CB8-AA7C-5F6FC948D260")]
   public sealed class LowestIndexMaxCrossover : LinearLinkageCrossover {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/Crossovers/MultiLLECrossover.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/Crossovers/MultiLLECrossover.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/Crossovers/MultiLLECrossover.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -35,5 +35,5 @@
 namespace HeuristicLab.Encodings.LinearLinkageEncoding {
   [Item("Multi LLE Crossover", "Randomly selects and applies one of its crossovers every time it is called.")]
-  [StorableClass]
+  [StorableClass("59AB1F22-04FF-4431-A99F-1BA841D758C5")]
   public class MultiLinearLinkageCrossover : StochasticMultiBranch<ILinearLinkageCrossover>, ILinearLinkageCrossover, IStochasticOperator {
     public override bool CanChangeName {
Index: /branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/Crossovers/SinglePointCrossover.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/Crossovers/SinglePointCrossover.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/Crossovers/SinglePointCrossover.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -27,5 +27,5 @@
 namespace HeuristicLab.Encodings.LinearLinkageEncoding {
   [Item("Single Point Crossover", "The single point crossover concatenates two linkage strings at a randomly chosen point.")]
-  [StorableClass]
+  [StorableClass("7743F85C-8D8A-44CA-8550-841660FDEF9F")]
   public sealed class SinglePointCrossover : LinearLinkageCrossover {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/LinearLinkage.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/LinearLinkage.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/LinearLinkage.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -30,5 +30,5 @@
 namespace HeuristicLab.Encodings.LinearLinkageEncoding {
   [Item("LinearLinkage", "Represents an LLE grouping of items.")]
-  [StorableClass]
+  [StorableClass("59701009-F993-4E66-A2CB-736B5873E355")]
   public sealed class LinearLinkage : IntArray {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/LinearLinkageCreator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/LinearLinkageCreator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/LinearLinkageCreator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -30,5 +30,5 @@
 namespace HeuristicLab.Encodings.LinearLinkageEncoding {
   [Item("Linear Linkage Creator", "Base class for linear linkage creators.")]
-  [StorableClass]
+  [StorableClass("0F463427-3C88-4DEC-A3F2-567B176DC8F7")]
   public abstract class LinearLinkageCreator : InstrumentedOperator, ILinearLinkageCreator, IStochasticOperator {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/LinearLinkageCrossover.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/LinearLinkageCrossover.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/LinearLinkageCrossover.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -30,5 +30,5 @@
 namespace HeuristicLab.Encodings.LinearLinkageEncoding {
   [Item("Linear Linkage Crossover", "Base class for linear linkage crossovers.")]
-  [StorableClass]
+  [StorableClass("0347A81A-4879-4435-A7E5-F7D654B35B12")]
   public abstract class LinearLinkageCrossover : InstrumentedOperator, ILinearLinkageCrossover, IStochasticOperator {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/LinearLinkageEncoding.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/LinearLinkageEncoding.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/LinearLinkageEncoding.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -33,5 +33,5 @@
 namespace HeuristicLab.Encodings.LinearLinkageEncoding {
   [Item("Linear Linkage Encoding", "Describes a linear linkage (LLE) encoding.")]
-  [StorableClass]
+  [StorableClass("3AC280C4-E2AF-4112-9C88-3AB4B5080DD9")]
   public sealed class LinearLinkageEncoding : Encoding<ILinearLinkageCreator> {
     #region encoding parameters
Index: /branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/LinearLinkageManipulator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/LinearLinkageManipulator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/LinearLinkageManipulator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -29,5 +29,5 @@
 namespace HeuristicLab.Encodings.LinearLinkageEncoding {
   [Item("Linear Linkage Manipulator", "Base class for linear linkage manipulators.")]
-  [StorableClass]
+  [StorableClass("819A8950-0CDC-4139-A0E2-C151E9BFF734")]
   public abstract class LinearLinkageManipulator : InstrumentedOperator, ILinearLinkageManipulator, IStochasticOperator {
     public ILookupParameter<IRandom> RandomParameter {
Index: /branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/Manipulators/GraftManipulator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/Manipulators/GraftManipulator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/Manipulators/GraftManipulator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -28,5 +28,5 @@
 namespace HeuristicLab.Encodings.LinearLinkageEncoding {
   [Item("Graft Manipulator", "Performs graft mutation as described in Du, J., Korkmaz, E.E., Alhajj, R., and Barker, K. 2004. Novel Clustering Approach that employs Genetic Algorithm with New Representation Scheme and Multiple Objectives. Data Warehousing and Knowledge Discovery, pp. 219-228. Springer Berlin Heidelberg.")]
-  [StorableClass]
+  [StorableClass("07C160A2-4E08-40EC-BC95-5355AC1F18EE")]
   public sealed class GraftManipulator : LinearLinkageManipulator {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/Manipulators/MergeGroupManipulator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/Manipulators/MergeGroupManipulator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/Manipulators/MergeGroupManipulator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -29,5 +29,5 @@
 namespace HeuristicLab.Encodings.LinearLinkageEncoding {
   [Item("Merge Group Manipulator", "Performs a maximum of N merge operations on the groups. An already merged group may be merged again.")]
-  [StorableClass]
+  [StorableClass("5070E24D-F3A2-4318-BCF1-B5FF93BE9C49")]
   public sealed class MergeGroupManipulator : LinearLinkageManipulator {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/Manipulators/MoveItemManipulator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/Manipulators/MoveItemManipulator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Encodings.LinearLinkageEncoding/3.3/Manipulators/MoveItemManipulator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -30,5 +30,5 @@
 namespace HeuristicLab.Encodings.LinearLinkageEncoding {
   [Item("Move Item Manipulator", "Performs a maximum of N move operations between groups or to new groups. An already moved item may be moved again.")]
-  [StorableClass]
+  [StorableClass("D3152965-D6B9-4615-8492-6CB753431163")]
   public sealed class MoveItemManipulator : LinearLinkageManipulator {
 
